| Home | Libraries | People | FAQ | More

## Function indeterminate

boost::logic::indeterminate — Keyword and test function for the indeterminate tribool value.

## Synopsis

    bool indeterminate(tribool x, unspecified dummy = unspecified);

## Description

The `indeterminate` function has a dual role. It's first role is as a unary function that tells whether the tribool value is in the "indeterminate" state. It's second role is as a keyword representing the indeterminate (just like "true" and "false" represent the true and false states). If you do not like the name "indeterminate", and would prefer to use a different name, see the macro `BOOST_TRIBOOL_THIRD_STATE` .

Returns: | `x.value == tribool::indeterminate_value`
Throws: | Will not throw.

| Copyright © 2002-2004 Douglas Gregor